{ config, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ./disk-config.nix
    ./power_management.nix
  ];

  config = {
    # Generate with `head -c4 /dev/urandom | od -A none -t x4`
    networking.hostId = "bca9d0a5";

    networking.hostName = "neelix"; # Define your hostname.

    time.timeZone = "America/New_York";
    i18n.defaultLocale = "en_US.UTF-8";

    me.boot.secure = false;
    me.mountPersistence = true;

    me.optimizations = {
      enable = false;
      arch = "alderlake";
      system_features = [
        "gccarch-alderlake"
        "gccarch-x86-64-v3"
        "gccarch-x86-64-v4"
        "benchmark"
        "big-parallel"
        "kvm"
        "nixos-test"
      ];
    };

    # Early KMS
    boot.initrd.kernelModules = [ "i915" ];

    # Mount tmpfs at /tmp
    # boot.tmp.useTmpfs = true;

    me.base.enable = true;
    me.bluetooth.enable = true;
    me.boot.enable = true;
    me.doas.enable = true;
    me.emacs_flavor = "plainmacs";
    me.firewall.enable = true;
    me.font.enable = true;
    me.git.enable = true;
    me.graphical = true;
    me.graphics_card_type = "intel";
    me.kodi.enable = true;
    me.lvfs.enable = true;
    me.memtest.enable = true;
    me.network.enable = true;
    me.nvme.enable = true;
    me.sound.enable = true;
    me.ssh.enable = true;
    me.sshd.enable = true;
    me.user.enable = true;
    me.wireguard.activated = [ "wgh" ];
    me.wireguard.deactivated = [ "wgf" ];
    me.zfs.enable = true;
    me.zrepl.enable = true;
    me.zsh.enable = true;
  };
}
